/*
 * @Author: Kane
 * @Date: 2024-02-18 23:27:44
 * @LastEditors: Kane
 * @FilePath: /SpringLearning/src/main/java/com/cpic/xim/SpringLearning/SpringLearningApplication.java
 * @Description: 
 * 
 * Copyright (c) ${2023} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.SpringLearning;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@SpringBootApplication
@RestController
public class SpringLearningApplication
{
	private static Logger logger = LoggerFactory.getLogger(SpringLearningApplication.class);
	
	public static void main( String[] args )
	{
		SpringApplication.run( SpringLearningApplication.class, args );
	}

	@GetMapping("/helloworld")
	public String helloWorld()
	{
		logger.info("请求 hello world!!!!!!!!!");

		return "<h1 style='color:red;'>Hello Spring!</h1>";
	}

}
