/*
 * @Author: Kane
 * @Date: 2023-11-29 23:56:18
 * @LastEditors: Kane
 * @FilePath: /MultiThread/src/main/java/com/cpic/xim/App.java
 * @Description: 
 * 
 * Copyright (c) ${2023} by Kane, All Rights Reserved. 
 */
package com.cpic.xim;

import com.cpic.xim.utils.MyThread;
import com.cpic.xim.utils.MyWorkingJob;
import com.cpic.xim.thread.*;

public class App
{
    public static void main( String[] args )
    {
        
        // interrupteThread();
        测试Stop线程();

        System.out.println( "我是主线程！" + String.valueOf( Thread.currentThread().threadId() ) );
    }

    public static void interrupteThread()
    {
        Runnable work = new InterruptedThread();
        Thread workThread = new Thread( work );

        try
        {
            workThread.start();
            Thread.sleep( 1000 );
            workThread.interrupt();
        }
        catch ( InterruptedException error )
        {
            System.out.println( "线程异常" );
        }
        finally
        {
            
        }
    }

    /**
     * 用stop方法结束
     */
    public static void 测试Stop线程()
    {
        Runnable work = new StopThread();
        Thread workThread = new Thread( work );

        try
        {
            workThread.start();
            Thread.sleep( 100 );
            workThread.stop();
        }
        catch ( InterruptedException error )
        {
            System.out.println( "线程异常" );
        }
        catch ( ThreadDeath error )
        {
            System.out.println( "线程异常" );
        }
    }
}
