/*
 * @Author: Kane
 * @Date: 2024-01-25 13:50:03
 * @LastEditors: Kane
 * @FilePath: /MultiThread/src/main/java/com/cpic/xim/thread/InterruptedThread.java
 * @Description: 测试用Thead.interrupte方法结束线程。
 * 
 * Copyright (c) ${2023} by Kane, All Rights Reserved. 
 */

package com.cpic.xim.thread;

public class InterruptedThread implements Runnable
{
    @Override
    public void run()
    {
        System.out.println( "工作线程开始执行……" );

        try
        {
            for ( int i = 0; i < 2000000; i++ )
            {
                if ( Thread.currentThread().isInterrupted() )
                {
                    System.out.println( "该结束了……" );

                    throw new InterruptedException();
                }

                System.out.println( "工作线程计数：" + String.valueOf( i ) );
            }

            System.out.println( "工作线程结束！" );
        }
        catch ( InterruptedException error )
        {
            System.out.println( "工作线程中止！" );
        }
    }
}
